extends Node2D

## 独自の色の定義.
enum MyColor {
	RED,
	GREEN,
	BLUE,
}

## 色テーブル.
const MYCOLOR_TBL = {
	MyColor.RED: Color.SALMON,
	MyColor.GREEN: Color.LIME_GREEN,
	MyColor.BLUE: Color.CORNFLOWER_BLUE,
}

# オプションボタン
@onready var _option_button = $OptionButton
# 表示される色.
@onready var _color_rect = $ColorRect

func _ready() -> void:
	# macOSで必要な記述.
	#DisplayServer.window_set_size(Vector2i(1152*2, 648*2))
	
	# オプションボタンに項目を設定する.
	for k in MyColor.keys():
		_option_button.add_item(k)	
	
	# 初期状態は緑色にします.
	_option_button.select(MyColor.GREEN)
	# シグナルを飛ばす.
	_option_button.emit_signal("item_selected", MyColor.GREEN)

# 値を変更したときに取り出す.
func _on_option_button_item_selected(index: int) -> void:
	var name = _option_button.get_item_text(index)
	print("%sを選びました"%name)
	print("現在選んでいる番号: %d"%_option_button.selected)
	
	# ColorRectに色を設定.
	_color_rect.modulate = MYCOLOR_TBL[index]
	
	
	
